import { EventEmitter } from '@angular/core';
import { GoogleTagManagerService } from 'angular-google-tag-manager';
import * as i0 from "@angular/core";
export declare class Ga4EventsService {
    private gtmService;
    private dataLayer;
    purchaseInfo: EventEmitter<{}>;
    private purchaseData;
    purchaseDataVal: import("rxjs").Observable<{}>;
    addPurchaseInfo(data: {}): void;
    constructor(gtmService: GoogleTagManagerService);
    sendGA4Event(eventToSend: string, ecommerceObject: {}): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<Ga4EventsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<Ga4EventsService>;
}
